QIconDragItem(3qt)

NAME
QIconDragItem - Encapsulates a drag item

SYNOPSIS
#include <qiconview.h>

  Public Members
QIconDragItem ()
virtual ~QIconDragItem ()
virtual QByteArray data () const
virtual void setData ( const QByteArray & d )

DESCRIPTION
The QIconDragItem class encapsulates a drag item.

The QIconDrag class uses a list of QIconDragItems to support drag and drop operations.

In practice a QIconDragItem object (or an object of a class derived from QIconDragItem) is created for each icon view item which is dragged. Each of these QIconDragItems is stored in a QIconDrag object.

See QIconView::dragObject() for more information.

See the fileiconview/qfileiconview.cpp and iconview/simple_dd/main.cpp examples.

See also Drag And Drop Classes.

MEMBER FUNCTION DOCUMENTATION

QIconDragItem::QIconDragItem ()
Constructs a QIconDragItem with no data.

QIconDragItem::~QIconDragItem () [virtual]
Destructor.

QByteArray QIconDragItem::data () const [virtual]
Returns the data contained in the QIconDragItem.

void QIconDragItem::setData ( const QByteArray & d ) [virtual]
Sets the data for the QIconDragItem to the data stored in the QByteArray d.

Example: fileiconview/qfileiconview.cpp.

SEE ALSO
http://doc.trolltech.com/qicondragitem.html http://www.trolltech.com/faq/tech.html

COPYRIGHT
Copyright 1992-2001 Trolltech AS, http://www.trolltech.com. See the license file included in the distribution for a complete license statement.

AUTHOR
Generated automatically from the source code.

BUGS
If you find a bug in Qt, please report it as described in http://doc.trolltech.com/bughowto.html. Good bug reports help us to help you. Thank you.

The definitive Qt documentation is provided in HTML format; it is located at $QTDIR/doc/html and can be read using Qt Assistant or with a web browser. This man page is provided as a convenience for those users who prefer man pages, although this format is not officially supported by Trolltech.

If you find errors in this manual page, please report them to qt-bugs@trolltech.com. Please include the name of the manual page (qicondragitem.3qt) and the Qt version (3.3.7).